UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Namespaces | Macros | Functions
atomic.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/types/time_spec.hpp>`
`#include <boost/thread/thread.hpp>`
`#include <boost/interprocess/detail/atomic.hpp>`
`#include <boost/version.hpp>`

Go to the source code of this file.

## Classes
class | uhd::atomic_uint32_t
| A 32-bit integer that can be atomically accessed. More...
class | uhd::reusable_barrier
class | uhd::simple_claimer

## Namespaces
| uhd

## Macros
#define | BOOST_IPC_DETAIL boost::interprocess::detail

## Functions
UHD_INLINE bool | uhd::spin_wait_with_timeout (atomic_uint32_t &cond, boost::uint32_t value, const double timeout)

## Macro Definition Documentation

#define BOOST_IPC_DETAIL boost::interprocess::detail